Box3D
Prev | 12.15. Raster Processing: Raster to Geometry | Next

## Name

Box3D — Returns the box 3d representation of the enclosing box of the raster.

## Synopsis

`box3d Box3D(`raster rast`)`;

## Description

Returns the box representing the extent of the raster.

The polygon is defined by the corner points of the bounding box ((`MINX`, `MINY`), (`MAXX`, `MAXY`))

Changed: 2.0.0 In pre-2.0 versions, there used to be a box2d instead of box3d. Since box2d is a deprecated type, this was changed to box3d.

## Examples

    SELECT
        rid,
        Box3D(rast) AS rastbox
    FROM dummy_rast;

    rid |        rastbox
    ----+-------------------------------------------------
    1   | BOX3D(0.5 0.5 0,20.5 60.5 0)
    2   | BOX3D(3427927.75 5793243.5 0,3427928 5793244 0)

## See Also

ST_Envelope

Prev | Up | Next
ST_TRI | Home | ST_ConvexHull